Wed Mar 18 09:51:51 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* Makefile.in: make -> $(MAKE) twice

Fri Mar 13 13:41:06 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* xdvi-sh: more general XDVIINPUTS setting (Thomas Esser)

Thu Mar 12 13:25:23 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* xdvi.c: clean up bad programming style in tmp directory code (Peter
	Breitenlohner) 

Thu Mar  5 15:57:05 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* xdvi.c: redo the way temporary directory is created; use TMPDIR or
	"/tmp" (Olaf Weber suggested coding)

Tue Mar  3 10:13:52 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* special.c: xdvi could not handle the old psfig specials used to
 	uncompress .ps files on the fly properly. Carlos Fonseca.

Mon Feb 16 12:37:48 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* xdvi-sh: changed searching for XDvi (Thomas Esser)

	* more prototype cleaning (Thomas Esser)

Tue Feb 10 09:51:30 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* configure.in: clean NOTOOL vs --with-x-toolkit=xt. Thomas Esser
	
	* special.c, l.568: the HP-UX cpp does not understand a */ 
	after an #endif. Delete the offending characters. Thomas Esser.

Fri Jan 30 12:30:53 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* xdvi.c: used kpse_set_program_name not kpse_set_progname (Olaf) 

Wed Jan 28 14:04:36 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* xdvi.c: fixes program name (Thomas Esser)
	* Makefile.in: stop cleaning ../libwww

Tue Jan 27 14:32:25 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* configure etc: new configure.in, c-auto.in, Makefile.in from
	Olaf Weber
	
Tue Jan 20 10:07:57 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* patches from John Plaice for Omega

Mon Jan 19 21:53:45 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* added line about FUNCTION_PROTOTYPES to c-auto.in and called
	<kpathsea/c-vararg.h> to replace existing mishmash.

Sat Jan 17 15:11:48 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* assorted configuration patches from Peter Breitenlohner, Olaf Weber
 	etc. Hope it all still works.

Fri Jan 16 21:32:20 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* added patches from John Plaice with #ifdef Omega sections
	which make oxdvik

Wed Jan  7 09:35:53 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* changed MakeTeXPK to mktexpk in sed script and man page;
	changed MakeTeXDir to mktexdir in xdvi-sh

Thu Jan  1 11:03:20 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* A portmanteau changelog entry to note a variety of changes
	made November-December 1997 to bring up to date for
	texk7.2. Basically this is Thomas Esser's teTeX 0.9 version.

	Removed gsftopk to its own package (as per author's distribution)

Mon Feb 17 11:07:46 1997  Fabrice POPINEAU  <popineau@ese-metz.fr>

	* gsftopk.c (quotearg): Corrected the build of quoted arguments
	for Win32.

Thu Feb  6 17:35:01 1997  Karl Berry  <karl@cs.umb.edu>

	* Version 20a.

Mon Feb  3 14:22:05 1997  Karl Berry  <karl@cs.umb.edu>

	* xdvi.h (xfopen_local) [!HTEX]: #define to xfopen here.
	* util.c: Not here; that does no good in the other files;
	we still looked xfopen_local at link time.

	* gsftopk.c: Update for version 1.12, which outputs
	specials to the PK file.
	* render.ps: New version from gsftopk 1.12.

Sat Feb  1 19:29:29 1997  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Separate -lXext from others.
	* Makefile.in (x_ext_lib): New variable.
	(x_link): Use it.

Fri Jan 31 16:39:53 1997  Karl Berry  <karl@cs.umb.edu>

	* events.c: Patch from Wayne for `x' weirdness, from latest xdvi beta.

Mon Jan 27 16:32:43 1997  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

        * xdvi.c: Use str[r]chr instead of [r]index.  Needed because
        declarations in libwww/sysdep.h clash with those in xdvi.h.

        * xdvi.c (main, parse_options): Make sure that dvi_name is
        initialized with xmalloc and not just as a pointer into argv, 
        so that can be freed safely when dvi_name is changed.

        * hypertex.c (htex_do_url, open_www_file): Use MyStrAllocCopy 
        to reset dvi_name when following hyperlinks.  Freeing dvi_name 
        should be safe now.

        * hypertex.c (htex_goback): Don't forget to call retitle(dvi_name)
        and extractbase(dvi_name) after open_dvi_file().

        * hypertex.c (open_www_file): Clear anchor_name after invoking
        an external dvi viewer, so that it doesn't get interpreted as
        an internal link after htex_goback().
        
Mon Jan 27 04:08:55 1997  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* wwwfetch.c (wwwfetch): Rewrite based on libwww5.0 examples.
	Remove redundant code needed for earlier versions of libwww.
	Added code to extract content_type information (for future use).

	* xdvi.c (main): Added intialization code for libwww5.0.
	* hypertex.c (cleanup_and_exit): Added cleanup code for libwww.
	
	* patchlevel.h: No longer needed.
	
	* hypertex.c: New debugging level DBG_ANCHOR (8192) to reduce
 	amount of debugging output for DBG_HYPER (4096).
	
	* utli.c (xfopen_local): Added new wrapper function for xfopen()
	that temporarily disables URL awareness.
	* dvi-draw.c, font-open.c, mime.c: Use xfopen_local().

	* hypertex.c (open_www_file), wwwfetch.c (fetch_relative_url):
 	Don't call paint_anchor() for error messages before a window 
	has been openend. This may happen if the program is invoked 
	with an	absolute URL.

	* hypertex.c (invokedviviewer): Ignore the given height argument
 	since the values used in some calls are dubious.
	
	* hypertex.c (htex_do_url): Fix bugs in the calling sequence.
	Always call open_www_file() to invoke external viewer or browser.

	* hypertex.c (open_www_file): Turn dvi_name into an absolute URL
	if dvi_name is just a filename and URLbase was specified.

	* hypertex.c (htex_is_url): Call HTURL_isAbsolute() from libwww
	instead of reinventing the wheel.

	* mime.c: Use str[r]chr instead of [r]index.
	* mime.c, wwwfetch.c: Use FOPEN_R_MODE, FOPEN_W_MODE.

Thu Jan 23 13:55:05 1997  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* Makefile.in ($(program)): Avoid duplication of $(xldflags), 
	it's already included in $(x_link).

Thu Jan 16 09:59:22 1997  Karl Berry  <karl@cs.umb.edu>

	* xdvi.h (fullprog): Do not declare.
	* hypertex.c (invokedviviewer): Use program_invocation_name
	instead of fullprog.
	Reported by Ulrik.

	* wwwfetch.c: #include <c-stat.h>.

	* special.c (epsf_special): Introduce temp variable to
	work around gcc 2.7.2 optimization bug on HP-UX.

	* xdvi.c: Oops, don't try to print the address of a string.
	Reported by Thomas.

Sun Jan  5 16:11:29 1997  Karl Berry  <karl@cs.umb.edu>

	* xdvi.c, gsftopk.c: It's 1997 now.

Sat Dec 28 17:25:40 1996  Karl Berry  <karl@cs.umb.edu>

	* gsftopk.c (ident): Define as the whole version string.
	From Thomas.

Sun Dec 15 15:32:10 1996  Karl Berry  <karl@cs.umb.edu>

	* configure.in (AC_CHECK_FUNCS): Move getwd test to kpathsea/common.ac.
	* Makefile.in (objects): Remove xgetcwd.o.
	* xdvi.h (xgetcwd): Remove decl.
	* sfSelFile.c (XsraSelFile): Likewise.	
	* xgetcwd.c: Move to kpathsea (needed for SELFAUTODIR/PARENT).

Tue Dec 10 16:20:40 1996  Karl Berry  <karl@cs.umb.edu>

	* dvi_init.c (check_dvi_file) [HTEX]: Call htex_reinit when we restart.
	* events.c (command_table): Determine the button shrink factors at
        runtime instead of compile-time.
	* xdvi.c (main): Use PointerMotionMask for the handle_motion
        callback, not ButtonMotionMask.
        From: wgs@maths.ucd.ie (Wayne G. Sullivan).

Mon Dec  9 01:04:39 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* gsftopk.c: Issue "Need exactly two args. Try --help" message 
	if called with no arguments. Reformat usage message slightly.

Mon Dec  9 17:28:43 1996  Karl Berry  <karl@cs.umb.edu>

	* gsftopk.c [WIN32]: Remove various #includes that
	<kpathsea/config.h> already does.

Sat Dec  7 17:01:11 1996  Karl Berry  <karl@cs.umb.edu>

	* gsftopk.c: WIN32 changes from Fabrice.

Tue Dec  3 14:59:09 1996  Karl Berry  <karl@cs.umb.edu>

	* special.c (S_IRUSR, S_IWUSR): Define if undefined, as they
	are on NeXT.
	From: Gregor Hoffleit <flight@mathi.uni-heidelberg.de>.

Fri Nov 29 10:26:14 1996  Karl Berry  <karl@cs.umb.edu>

	* xdvi.h (BSD): Do not bother to #define this, it is never used
	and it clashes on NetBSD.

Tue Dec  3 01:21:47 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* gsftopk.c: Fix version message (was already fixed in xdvi.c).

Tue Nov 26 15:28:20 1996  Karl Berry  <karl@cs.umb.edu>

	* configure.in:  Protect --with tests from (unusual) values
		starting with -.

Mon Nov 25 12:50:52 1996  Karl Berry  <karl@cs.umb.edu>

	* configure.in (AC_CHECK_HEADERS): Check for netdb.h.
	* hypertex.c, wwwfetch.h [HAVE_NETDB_H]: #include it.

Sat Nov 23 14:51:11 1996  Karl Berry  <karl@cs.umb.edu>

	* wwwfetch.c, hypertex.c: Use str[r]chr instead of [r]index.

	* configure.in: Test ac_cv_header_WWWLib_h, not ...WWWLIB...

	* hypertex.c, wwwfetch.c: Changes for libwww version 5.
	From Wayne.

Sat Nov 16 11:32:50 1996  Karl Berry  <karl@cs.umb.edu>

	* dvi_draw.c (draw_page): Move draw_part to before htex_donepage.
	From Wayne.

Fri Nov 15 16:23:02 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (install-exec): Use INSTALL_LIBTOOL_PROG for
	binaries.

Sun Nov 10 16:16:45 1996  Karl Berry  <karl@cs.umb.edu>

	* config.h (HAVE_WWWLIB_H): Consistently check for this
	instead of HTTP.h.  From Wayne.

	* xdvi.c: Oops, Paul Vojta didn't write dvips :-).
	From Ulrik.

	* withenable.ac: Remove --with-x-toolkit from here.
	* configure.in: sinclude ../kpathsea/x11.ac here instead.

Sat Oct 26 17:38:24 1996  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Doc fix for libwww.

Sun Oct 20 18:07:03 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (distclean): Remove gsftopk.1.

Tue Oct  8 16:48:05 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (version_files): Replace patchlevel.h with xdvi.c.

Mon Oct  7 21:10:23 1996  Ralph Schleicher  <rs@purple.UL.BaWue.DE>

	* xdvi.man: Updated.

	* events.c (keystroke): Exit with a non-zero status on `Q' so that
	the user can report an error back to the caller.

	* events.c (command_table): Added `Abort' button associated with
 	character code `Q'.  Reduced vertical space between button groups.

Sat Oct  5 17:57:01 1996  Karl Berry  <karl@cs.umb.edu>

	* gsftopk.c (main),
	* xdvi.c (version): Change to the new standard GNU format.

Sat Sep 21 16:02:35 1996  Karl Berry  <karl@cs.umb.edu>

	* xdvi.man: Document using -gamma for color and -density/-S for
		monochrome.
        From: john@minster.cs.york.ac.uk.

	* events.c (command_table): Use %'s instead of shrink factors for
		the button labels.
        From: john@minster.cs.york.ac.uk.

Sun Sep  8 16:54:46 1996  Karl Berry  <karl@cs.umb.edu>

	* events.c (draw_rulers): Only say what the ruler tick interval is
		if debugging.

Sat Sep  7 16:12:11 1996  Karl Berry  <karl@cs.umb.edu>

	* xdvi.c (main): Include bug reporting address.

Sun Aug  4 15:57:18 1996  Karl Berry  <karl@cs.umb.edu>

	* xdvi.c (main): Also print kpathsea_version_string if --version.

Fri Jul 26 15:47:10 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Remove co.make.

Sat Jun  8 13:06:37 1996  K. Berry  <kb@cs.umb.edu>

	* Makefile.in (gsftopk, $(program)): Use kpathsea_link instead of
        link_command, for libtool.
        (squeeze): Include $(LIBS) and $(XLOADLIBES).

Sun May 26 16:00:49 1996  Karl Berry  <karl@cs.umb.edu>

        * gsftopk.c: Sigh, the searchpath variable has to be set to the
        render.ps filename.

        * util.c (xfopen): Go back to only trying the unconditional file
        close if errno is EMFILE or ENFILE.

        * xdvi.c (main): Call kpse_set_program_enabled_p at beginning and
        after parsing values.

Wed May  8 16:32:23 1996  Karl Berry  <karl@cs.umb.edu>

        * xdvi.c: #endif /* GRID */, not /* GIRD */.
        From: pete@thi.informatik.uni-frankfurt.de (Peter Dyballa).

Fri Apr 26 17:22:41 1996  Karl Berry  <karl@cs.umb.edu>

        * util.c (xfopen): Try closing files even if HTEX.
        From: Martin Simons <simons@cs.tu-berlin.de>.

Tue Apr 23 08:28:40 1996  Karl Berry  <karl@cs.umb.edu>

        * gsftopk.c (main): Fix call to kpse_init_prog.

Sun Apr 21 16:32:16 1996  Karl Berry  <karl@cs.umb.edu>

        * xdvi.c (main): Do not pass in resource.makepk to
	kpse_init_prog. We'll have to call the new kpse_set_program_enabled.

Fri Mar  8 14:22:32 1996  Karl Berry  <karl@cs.umb.edu>

        * xdvi.c (hush_{chk,chars,spec}): Also call kpse_tex_hush.

Sun Feb 18 16:18:46 1996  Karl Berry  <karl@cs.umb.edu>

        * gsftopk.c: Change xopen_file calls.

Thu Feb 15 14:00:51 1996  Karl Berry  <karl@cs.umb.edu>

        * xdvi.c (main): Set kpse_make_tex_discard_errors = hush.
        * gsftopk.c: Likewise.

Sat Feb 10 14:43:31 1996  Karl Berry  <karl@cs.umb.edu>

        * wwwfetch.c: Updates for libwww 4.0.
	From: popineau@ese-metz.fr (Fabrice Popineau).

        * events.c (handle_intr): Use RETSIGTYPE instead of assuming void.
        * psgs.c (gs_sigpipe_handler),
        * psnews.c (psio_sigpipe_handler): Likewise
        * configure.in (AC_TYPE_SIGNAL): Add this.
        Also, check for isinf and ieeefp.h only if needed.

        * config.h (HAS_SIGIO): Remove spurious `1' after the #undef.

Wed Feb  7 16:06:45 1996  Karl Berry  <karl@cs.umb.edu>

        * gsftopk.c: Use the new kpse_type1_format.

Sat Feb  3 15:45:35 1996  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (DEFS): Move to common.make.
        (prog_cflags): Set this to @PS_DEF@, instead of using DEFS.

Fri Dec 29 17:16:56 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: misc.make is now clean.make.

Tue Dec 26 17:24:22 1995  Karl Berry  <karl@cs.umb.edu>

        * withenable.ac: New file extracted from configure.in.

        * xdvi.c: Use MAKE_TEX_PK_BY_DEFAULT.

Wed Dec 13 15:33:44 1995  Karl Berry  <karl@cs.umb.edu>

        * mime.c (parsemailcap, parsemimes): Look in texmf.cnf for
        location of the mime/mailcaplibdir.
        (MIMELIBDIR, MAILCAPLIBDIR): Make default be /usr/local/etc,
        rather than an xdvi thing.

Tue Dec 12 16:51:50 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-data): Depend on gsftopk.1. From Ulrik.

Sun Dec 10 16:36:28 1995  Karl Berry  <karl@cs.umb.edu>

        * dvi_init.c (load_font): Give a full filename if the font can't
        be found.

Sat Nov 18 17:29:12 1995  Karl Berry  <karl@cs.umb.edu>

        * xdvi.c: Make Stop and Cancel quit xdvi. Suggested by Peter Dyballa.

Sun Nov 12 13:51:08 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (program_files): Include gsftopk.man.

Sat Nov 11 16:19:58 1995  Karl Berry  <karl@cs.umb.edu>

        * xdvi.h (BDPI): Make default 600.
        * xdvi.c (SHRINK): Make default 6.
        * events.c [BDPI </>= 600]: Change shrink factors.
        Add keystrokes for j, >, and <.

Mon Oct 30 17:25:01 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h (HAS_SIGIO): Define this according to HAVE_SIGIO. From
        Tim Pattison <trp@triton.dsto.gov.au>.

Sat Oct  7 17:47:51 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (program_files): Add render.ps. From Ulrik.

Fri Oct  6 17:19:47 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-exec): Depend on $(programs), not just
        $(program). From John I.

        * gsftopk.c (GSPK_DEBUG_PK): Oops, this should be different from
        GSPK_DEBUG_BITMAP. From John I.

        * special.c: Include c-stat.h.
        From: vieth@thphy.uni-duesseldorf.de (Ulrik Vieth). 
        From: te@informatik.uni-hannover.de (Thomas Esser).

Sat Sep 23 16:07:34 1995  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Move AC_REPLACE_FUNCS call to kpathsea, since we
	can only use it once.
	* Makefile.in (objects): Remove @LIBOBJS@.

        * configure.in: Check for HTTP.h as well as libwww.
        * config.h: Disable HTEX if no HTTP.h.

        * xdvi.c: Call set_icon_and_title in the same place where Vojta
        does the work.
        (set_icon_and_title): Do not call XSetStandardProperties.
        * dvi_init.c (select_filename): Have to call
        XSetStandardProperties here now.

Thu Sep 21 16:27:58 1995  Karl Berry  <karl@cs.umb.edu>

        * gsftopk.c: Unprototypify.
        * xdvi.h (search_callback): Likewise.

Mon Sep 18 18:01:34 1995  Karl Berry  <karl@cs.umb.edu>

        * gsftopk.c: Update for gsftopk 1.11.

Sat Sep  9 14:27:59 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Add --with-x-toolkit=no to define NOTOOL and unset
        x_tool_libs in the Makefile.

Fri Sep  8 14:32:26 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h: Check for HAVE_LIBWWW instead of our own HYPERXDVI
        symbol; may as well use the Autoconf default.

        * configure.in: Use AC_HAVE_LIBRARY instead of AC_CHECK_LIB,
        disable AC_OBSOLETE beforehand, and do it first.

Thu Sep  7 15:11:26 1995  Karl Berry  <karl@cs.umb.edu>

        * Add hyper-xdvi patch from Tim Murphy.
        * config.h (HTEX) [!HYPERXDVI]: Define this.
        * configure.in (libwww): AC_CHECK_LIB for this, and if found,
        define HYPERXDVI.

Mon Sep  4 17:17:55 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (programs): New variable, for including gsftopk.
        (gsftopk): New target.
        (install-exec): Install it.
        Etc.
        * gsftopk.[c1]: New files, from Tom, John I., Yves.

Sat Sep  2 14:12:26 1995  Karl Berry  <karl@cs.umb.edu>

        * sfSelFile.c: Include config.h instead of the various headers
        individually. 

        * Makefile.in (sedscript): Pass more dummy args to mksedscript.
	From: pete@thi.informatik.uni-frankfurt.de (Peter Dyballa).

Thu Aug 24 19:03:28 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: AC_CHECK_LIB for isinf in sunmath, as apparently
        some Solaris versions don't have it.

Wed Aug 23 13:32:24 1995  Karl Berry  <karl@cs.umb.edu>

        * xdvi.c: Remove -maketexpk and +maketexpk, since Vojta named them
        differently.

Tue Aug 15 16:22:51 1995  Karl Berry  <karl@cs.umb.edu>

        * Include grid support.

    Fri Apr 14 14:05:09 1995 Yan Xiao (xiao@audio.ab.umd.edu)

            * config.h: add in GRID mode define
            * {dvi_draw, xdvi, events}.c: add in grid drawing function
            * xdvi.h: add in grid drawing function
            * xdvi.man: add in documentation

Tue Aug 15 12:46:30 1995  Karl Berry  <karl@cs.umb.edu>

        * events.c, xdvi.c, xdvi.h: Implement rulers on the magnifier, and
        a help command, and an again command, and more buttons.
        From: "Nelson H. F. Beebe" <beebe@math.utah.edu>.

        * xdvi.h (BMUNIT) [SIZEOF_LONG > 4]: Change #if condition from __alpha.
        * configure.in: Check sizeof long.
        From: "Christopher J. Duncan" <cduncan@phys.psu.edu>.

        * special.c (sendfile): Do nothing if resource._postscript is
        false. From Paul V. via Keir Novik <ken21@cam.ac.uk>.

        * Makefile.in (program_files): Add xdvi.FAQ.

        * events.c (pow): Do not bother to declare this; it may conflict
        with system declarations.  Doesn't everyone have this?

Mon Aug 14 13:10:27 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Check for strerror.
        * sfSelFile.c (strerror): Define our replacement, and don't
        declare sys_errlist otherwise.

        * configure.in: Check for strerror.

        * events.c: Reposition buttons.  Also from Peter.

        * util.c: Restore -DMFMODE option, install -DSHRINK.
        From: pete@lovelace.thi.informatik.uni-frankfurt.de (Peter Dyballa).

Sun Aug 13 12:59:13 1995  Karl Berry  <karl@cs.umb.edu>

        * Update for xdvi 20.

Mon Jul 17 14:00:23 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (x_link): Rename from x_libs.

Fri Jan 20 14:17:57 1995  Karl Berry  <karl@cs.umb.edu>

        * psdps.c: Do rs6000 fd_set stuff as in psgs.c.
        From faulstic@informatik.mu-luebeck.de (Lukas Faulstich).

Sun Jan  8 12:15:15 1995  Karl Berry  <karl@cs.umb.edu>

        * Version 18f.

Wed Jan  4 14:38:21 1995  Karl Berry  <karl@cs.umb.edu>

        * events.c (resource): Declare extern, to avoid multiple
        definition warnings from the sgi linker.

Tue Jan  3 15:46:41 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: SIGIO test should not define its own main.

Mon Jan  2 10:13:21 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Allow more than --with-ps option.  Suggested by 
        Nicolai Langfeldt <janl@math.uio.no>.

Sat Dec 31 10:52:00 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: Don't include tmptk.make any more.
        (install-exec): Don't depend on install-MakeTeXPK, either.

        * xdvi.c: Change class name to MFmode. From Joachim.

Fri Dec 30 15:42:17 1994  Karl Berry  <karl@cs.umb.edu>

        * configure.in (PS_DEF): Test against -DPS_NEWS, not -PS_NEWS.
        Reported by pete@lovelace.thi.informatik.uni-frankfurt.de
        (Peter Dyballa).

        * psdps.c [_AIX]: Include <sys/select.h>.
        From O.Flebbe@science-computing.uni-tuebingen.de (Olaf Flebbe).

Mon Dec 26 07:57:57 1994  Karl Berry  <karl@cs.umb.edu>

        * special.c (quote_special): Don't check for trailing ", per
        Rokicki's info a while back.
        (psfig_special): Consolidate ps: and ps:: cases, and use drawraw
        instead of drawbegin.
        * psgs.c (initGS): Don't ever save and restore, leave that up to
        @beginspecial and @endspecial.

        * events.c (init_pix): Warn about overstrike characters only if
        copy was not explicitly requested.
        From Joachim Schrod <schrod@iti.informatik.th-darmstadt.de>.

        * xgetcwd.c: Include kpathsea/xopendir.h.
        From Joachim Schrod <schrod@iti.informatik.th-darmstadt.de>.

        * configure.in (PS_DEF): Forgot `d' in `dps'.
        From Blair Zajac <blair@olympia.gps.caltech.edu> and others.

        * psgs.c [HAVE_SYS_BSDTYPES_H]: Include this if it exists.
	From Ami Fischman <a540ami@pic.ucla.edu> and others.
        * configure.in: Check for it.

        * xgetcwd.c (xgetcwd): : should have ; -- keyboard was stuck on
        shift. From Ami Fischman <a540ami@pic.ucla.edu> and others.

        * xdvi.c (main): Don't set mfmode to / here, do it in kpse_init_prog.

Wed Dec 14 15:14:19 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 18e.

        * sfSelFile.c: Don't use XtNcursorName.  From Dinh-Tuan.Pham@imag.fr.
        
Sun Dec 11 12:44:06 1994  Karl Berry  <karl@cs.umb.edu>

        * events.c: Better patch from Dinh-Tuan to reuse G, instead of
        using up A, for dynamically changing gamma.

Sat Dec 10 16:16:41 1994  Karl Berry  <karl@cs.umb.edu>

        * sfSelFile.c: Implement a filter thing so only .dvi files show up
        in the file selection widget. From Dinh-Tuan.Pham@imag.fr.

        * events.c (keystroke): Make 'A' change the gamma value. With
        corrections from Dinh-Tuan.Pham@imag.fr.

        * xdvi.man [buttons]: Document -fn.
        From Matthew Swift <swift@constitution.mit.edu>.

Mon Dec  5 12:07:04 1994  Karl Berry  <karl@cs.umb.edu>

        * psdps.c (isinf) [!HAVE_ISINF && HAVE_IEEEFP_H]: Define this.
        * configure.in: Check for isinf and <ieeefp.h>.

Sat Dec  3 11:17:37 1994  Karl Berry  <karl@cs.umb.edu>

        * vf.c (read_VF_index): Since we're closing a file, increase
        n_files_left.

Sun Nov 27 14:09:31 1994  Karl Berry  <karl@cs.umb.edu>

        * xdvi.c (main): Use DIR_SEP_STRING for the default mf mode,
        instead of a compile-time thing.

Sat Nov 26 15:06:43 1994  Karl Berry  <karl@cs.umb.edu>

        * special.c (bang_special): New routine.
        (quote_special): Call it.
        * psheader.txt: Support for it.
        These changes from Yves.Arrouye@imag.fr.

Fri Nov 25 09:24:31 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (x_libs): Put x_pre_libs right before -lX11, after
        the tool libs.

Thu Nov 24 14:05:33 1994  Karl Berry  <karl@cs.umb.edu>

        * special.c (draw_file) [PS]: Only define this fn conditionally,
        to avoid using struct psprocs when it isn't defined. From
        walt@snowhite.cis.uoguelph.ca.

        * xgetcwd.c (xchdir): Un-ansify xchdir. From Holger Grothe
        <grothe@mathematik.th-darmstadt.de>.
        (xgetcwd): Don't assume struct assignment, sigh.

        * xdvi.c (usage) [SELFILE]: dvi_file is optional in this
        case. From te@informatik.uni-hannover.de.

        * sfinternal.h (wchar_t) [FOIL_X_WCHAR_T]: Define this.  From
        te@informatik.uni-hannover.de.

        * dvi_init.c (select_filename): Only call set_icon_and_title if we
        are opening the file.  From Jon Peatfield
        <J.S.Peatfield@amtp.cam.ac.uk>.
        (load_font): Cast arg to kpse_bitmap_tolerance.  From 
        nijhof@th.rug.nl (Jeroen Nijhof).

Sun Nov 13 16:22:46 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (x_tool_libs): Rename from tool_libs.

Fri Nov 11 15:33:54 1994  Karl Berry  <karl@cs.umb.edu>

        * acconfig.h: Link to kpathsea.

        * configure.in: Avoid obsolete macros AC_WITH, AC_VERBOSE, etc.

Sun Nov  6 16:11:19 1994  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Run autoupdate.

Tue Oct 25 17:57:55 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 18d.

Sun Oct 23 16:50:55 1994  Karl Berry  <karl@cs.umb.edu>

        * psnews.c (strtok): Do not try to declare this.

        * pk.c [linux] (read_PK_index): Avoid short seeks on Linux.  From
        janl@math.uio.no.

        * mksedscript: Enable GREY, BUTTONS, MAKEPK, PS, and PS_GS by
        default, so the man page gets everything.

Thu Oct 20 15:00:14 1994  Karl Berry  <karl@cs.umb.edu>

        * psnews.c (send): Don't have error message use `gs_send'.

Tue Oct 18 10:46:10 1994  Karl Berry  <karl@cs.umb.edu>

        * dvi_init.c (check_dvi_file): Rearrange dvi_file assignment so
        selfile cancellations actually cancel.
        (load_font): Call kpse_bitmap_tolerance instead of rolling our own
        toleration function for the umpteenth time.

        * Makefile.in (squeeze, $(program)): Use $(link_command).
        (squeeze): Don't link with any libraries. From loverg@ercole.ba.cnr.it.

        * config.h (MAKEPK_BY_DEFAULT_BOOL): Define this; xdvi.c needs
        it in some cases. From loverg@ercole.ba.cnr.it.

        * xdvi.c [PS_NEWS]: The variable is useNeWS, not useNEWS.

        * configure.in (PS_DPS): Link with -ldps in this case.

Mon Oct 17 12:21:52 1994  Karl Berry  <karl@cs.umb.edu>

        * config.h (PS_GS): Remove this.
        * psgs.c [PS_GS]: Change conditional back to this, from NOPS_GS.
        * configure.in (AC_WITH(ps...)): Add this to cleanly support
        configuring for ps/news/gs. From blair@olympia.gps.caltech.edu.
        * Makefile.in (DEFS): Use @PS_DEF@.

Fri Oct 14 10:32:58 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 18c.

Thu Oct 13 10:55:21 1994  Karl Berry  <karl@cs.umb.edu>

        * xdvi.man: Don't use .SB.

Sun Oct  9 14:23:03 1994  Karl Berry  <karl@cs.umb.edu>

        * dvi_init.c (check_dvi_file): Avoid freeing memory twice if
        we're dynamically selecting files.

        * sfSelFile.c (SFopenFile): Don't just keep going if no filename
        is specified.

Sat Oct  8 14:15:45 1994  Karl Berry  <karl@cs.umb.edu>

        * special.c (quote_special): Don't send trailing quote, and do
        delimit the @setspecial with a space.

Fri Oct  7 11:46:30 1994  Karl Berry  <karl@cs.umb.edu>

        * util.c (xmalloc): Don't malloc 0.

        * dvi_init.c (magstepval): Set the dpi as well as the magstep.

        * psgs.c [NOPS_GS]: Change conditional to this.

        * dvi_init.c (select_filename); Declare set_icon_and_title.

        * psnews.c (SYSV): #undef this before including the NeWS headers.
        From pete@lovelace.thi.informatik.uni-frankfurt.de.

        * xdvi.man: Remove Vojta's XDVIMAKEPK description, it doesn't
        apply to us (yet).

        * config.h (MAKEPK): Don't bother defining this, we never use it.

Thu Oct  6 14:40:21 1994  Karl Berry  <karl@cs.umb.edu>

        * psdps.c, psnews.c: Include config.h instead of xdvi.h.
        * psgs.c [PS_GS]: Conditionalize file.

        * xgetcwd.c: Include kpathsea/c-dir.h (renamed from dir.h).  From
        blair@olympia.gps.caltech.edu.

        * Makefile.in (DEFS): Don't define anything extra here.
        * config.h (PS_GS, BUTTONS, SELFILE) [NO...]: Define them here.

        * xgetcwd.c: Don't assign a constant string after malloc-ing.
        From john@minster.york.ac.uk.

        * xdvi.c: Support --help.

Mon Sep 12 11:06:51 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 18b.

Sun Sep 11 14:31:21 1994  Karl Berry  (karl@cs.umb.edu)

        * psgs.c: Include <sys/time.h> to get timeval.
        * events.c (string): #define this to avoid cc choking on a
        type/variable clash.

Wed Sep  7 16:28:46 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 18a.

Sat Sep  3 09:00:59 1994  Karl Berry  (karl@cs.umb.edu)

        * psgs.c [!STREAMSCONN && _AIX]: Include <sys/select.h>.

        * events.c (sprintf, atof): Do not declare.

        * Makefile.in (distclean): Add psheader.c.
        (post-dist-*): Remove psheader.c.

Fri Sep  2 13:19:58 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (default): New target.
        (program_files): Include psheader.txt.

Thu Aug 25 14:21:13 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.c, xdvi.h, xdvi.man: New debug bit.

Sun Aug 21 12:21:40 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: Include programs.make.

Wed Aug 17 16:05:03 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.c, events.c, dvi_init.c [SELFILE]: Add SELFILE support.

Tue Aug 16 14:00:37 1994  Karl Berry  (karl@cs.umb.edu)

        * special.c (psfig_special, epsf_special): Do path searching for
        the eps file.
        (draw_file, find_fig_file): New routines.

Mon Aug 15 13:45:33 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (objects): Unconditionally include sf*.o.
        * sf*.c [SELFILE]: #ifdef all these files.

Sun Aug 14 11:42:25 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.c (-version): Add this support back.

        * config.h (USE_PK, USE_GF): Define these.
        
        * dvi_init.c (load_font): Use kpse_bitmap_tolerance.
	* font-open.c (font_open): Now load_font wants the dpi, not the mag.

Sat Aug 13 16:34:58 1994  Karl Berry  (karl@cs.umb.edu)

        * All files: Update for xdvi patchlevel 18.

Tue Aug  2 15:03:43 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.c, xdvi.h (DBG_DB_BUILD): Replace with DBG_HASH.

Fri Jul 29 11:51:06 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.h: Make the default be to *not* foil X's wchar_t.

Tue Jun 21 14:11:54 1994  Karl Berry  (karl@cs.umb.edu)

        * epsf.c: Set psfig_angle to 0.0 by default, and pass in 0.0, not 0.

        * xdvi.c (main): Set kpathsea debugging flags.

        * epsf.c: Call kpse_find_tex.
        * font-open.c (font_open): Arrange for new return type.

Mon Jun 20 15:09:36 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.c (main): Call kpse_init_prog.

Sat Jun 18 17:41:10 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.c: Enable MakeTeXPK by default.

Mon Jun 13 10:08:42 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: Use $@ where appropriate, make kpathsea first.

        * dvi_init.c (load_font): Don't call kpse_set_maketex_mag here,
        let kpathsea do it.

Thu Jun  2 11:15:28 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.man: It's -d, not -debug. From robv@sara.nl.

        * xgetcwd.c [HAVE_GETWD]: Include c-pathmx.h. From
        queinnec@cenatls.cena.dgac.fr.

Tue May 31 10:58:21 1994  Karl Berry  (karl@cs.umb.edu)

        * epsf.c (get_bb_from_file): New function.
        (parse_special): Call it.

        * util.c (xfopen): Try to keep only 5 files open, not 10.

Tue Apr 26 14:04:57 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in: Use AC_FIND_XTRA, for Autoconf 1.9.

Mon Apr 18 13:19:20 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * Makefile.in (x_cppflags, x_ldflags, x_extra_libs): Changes for
        new configure.

Sun Apr 17 16:16:47 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * Makefile.in (top_srcdir): Define this for configure to substitute.

Thu Apr  7 09:01:02 1994  Karl Berry  (karl@cs.umb.edu)

        * epsf.c: (psfig): Toss dead code. From Uwe.

Thu Mar 31 07:20:39 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 1.8.

Thu Mar 24 09:08:21 1994  Karl Berry  (karl@cs.umb.edu)

        * epsf.c (get_bitmap, psfig): Support for `zcat ...`. From Karen
        Barrett.

Wed Mar 16 11:48:05 1994  Karl Berry  (karl@cs.umb.edu)

        * epsf.c (get_bitmap): Use KPSE_NONFONT_PATH instead of
        kpse_init_path, so the envvar list gets null-terminated. From Alan
        Barnes.

Sun Mar 13 17:19:43 1994  Karl Berry  (karl@cs.umb.edu)

        * epsf.c (psfig): Correct for magnifications. From Uwe.

Fri Mar 11 14:23:23 1994  Karl Berry  (karl@cs.umb.edu)

        * util.c (xfopen): Always try closing a file if the fopen fails,
        and don't wait for n_files_left == 0.

Sat Mar  5 15:08:27 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi_init.c (load_font): Malloc fontp->fontname, so it can be freed.

Thu Mar  3 08:51:56 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 1.7.

Thu Feb 24 10:28:59 1994  Karl Berry  (karl@cs.umb.edu)

        * font-open.c (try_vf): Rename to kpse_find_vf and move to kpathsea.
        (font_open): Change call.
        (init_font_open): No longer needed.
        * xdvi.c (init_font_open): Remove call.

Wed Feb 23 15:57:25 1994  Karl Berry  (karl@cs.umb.edu)

        * epsf.c (Moan): Do not conditionalize on being hushed.

        * xdvi.c (main): Initialize all maketexpk-related stuff here.
        * font-open.c (init_font_open): Instead of some here.

Tue Feb 22 11:40:20 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.c: Add support for -mfmode and a .mfmode resource to pass
        to MakeTeXPK.

        * Makefile.in (c-auto.h.in): #undef SMART_PUTENV.

Mon Feb 21 16:48:32 1994  Karl Berry  (karl@cs.umb.edu)

        * tpic.c, epsf.c: Include angle support. From
        bon@LTE.E-TECHNIK.uni-erlangen.de.

        * x11-Xt.c: Include c-systypes.h for still more wchar_t kludgery.

        * epsf.c (epsfile): Take the magnification into account.
        (magnification): Declare.
        * dvi_init.c (magnification): Declare extern, not static.
        From J.S.Peatfield@amtp.cam.ac.uk.

        * xdvi.c (main): Initialize MAKETEX_BASE_DPI (and correct name
        from MAKETEX_DPI), instead of ...
        * dvi_init.c (load_font): ... here.

        * epsf.c (get_bitmap): Use KPSE_FIG_PATH instead of KPSE_TEX_PATH,
        for compatibility with dvips.

        * dvi_init.c (load_font): Cast args to kpse_bitmap_tolerance for the
        sake of non-ANSI compilers.

Wed Feb  2 09:59:37 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 1.6.

        * dvi_init.c (load_font): Move the dpi toleration code to
        kpse_check_bitmap_tolerance, and use it.

Tue Feb  1 10:52:16 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.man: Improve pixelsPerInch description.

Mon Jan 24 07:28:08 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 1.5.

Sun Jan 23 16:21:47 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.h (wchar_t): Remove conditional on __INT_WCHAR_T, since gcc
        always defines that.

Fri Jan 21 07:44:39 1994  Karl Berry  (karl@cs.umb.edu)

        * util.c (xmalloc): Don't try to allocate zero bytes. From Martyn.

Tue Jan 11 06:26:55 1994  Karl Berry  (karl@cs.umb.edu)

        * xdvi.c (keystroke): Make `j' and `g' synonyms.
        * xdvi.man: Document.

Fri Dec 24 13:15:07 1993  Karl Berry  (karl@sorrel.hq.ileaf.com)

	* xdvi.h (wchar_t) [! __INT_WCHAR_T_H]: Conditionalize for aviion.

Tue Dec 21 19:24:34 1993  Karl Berry  (karl@cs.umb.edu)

        * xdvi.h (X_WCHAR): Define.

        * Makefile.in (program): Include x_lib_flags explicitly, since we
        took out of common.make.

Sat Dec 18 15:03:09 1993  Karl Berry  (karl@cs.umb.edu)

        * epsf.c: Unindent # directives.

        * xdvi.h (wchar_t): Define to a nonsense symbol.

Sat Dec 18 14:47:01 1993  Karl Berry  (karl@owl.hq.ileaf.com)

	* xdvi.h (NORETURN): Define to be VOLATILE, not volatile. gcc
	-traditional doesn't support volatile.

Thu Dec  9 09:08:11 1993  Karl Berry  (karl@cs.umb.edu)

	* dvi_init.c (define_font): Don't call magstepvalue any more.
	(magstepvalue): #if 0 this.

Wed Dec  8 08:46:59 1993  Karl Berry  (karl@cs.umb.edu)

	* epsf.c (parse_special): Accept floating-point in the special
	(but round them to integers anyway).

Tue Dec  7 13:57:43 1993  Karl Berry  (karl@cs.umb.edu)

	* dvi_init.c (load_font): Call kpse_set_maketex_mag instead of
	figuring out the magstep value and setting it ourselves.

	* font-open.c (font_open, init_font_open): Round the
	MAKETEX_BASE_DPI and the dpi passed to kpse_find_glyph_format,
	instead of truncating.

	* xdvi.c (main): Really allow just `xdvi -version' to work.

Fri Dec  3 12:31:17 1993  Karl Berry  (karl@cs.umb.edu)

	* epsf.c: Reenable the bit reversal, and leave out the Sparc
	reversal. This code works properly on all four permutations of
	running and displaying on LittleEndian and BigEndian (32-bit)
	machines.

	* Makefile.in (DEFS): Nah, take BDPI=600 back out.

	* c-openmx.h: New file.
	* xdvi.h (n_files_left): Don't initialize here.
	* xdvi.c (main): Initialize here (to OPEN_MAX).
	Reported by norm@ora.com.

	* xdvi.c: Print version number even if no other args. Reported by
	norm@ora.com.

Sat Nov 27 12:37:43 1993  Karl Berry  (karl@cs.umb.edu)

	* font-open.c (kpathsea/init-path.h): No need to include this.

	* Makefile.in (DEFS): Add -DBDPI=600.

Fri Nov 19 13:49:38 1993  Karl Berry  (karl@cs.umb.edu)

	* epsf.c (get_bitmap): Don't reverse the bits, according to
	howse@baku.eece.unm.edu.

	* xdvi.h (DBG_EPS): New debugging option.
	(DBG_ALL): Include it.
	* epsf.c (get_bitmap): Show the cmd and don't throw away output if
	DBG_EPS.
	* xdvi.man: Document -d.

Thu Nov 11 11:06:49 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (xincludedir, xlibdir, wlibs): Rename these.

Fri Nov  5 06:14:40 1993  Karl Berry  (karl@cs.umb.edu)

	* epsf.c (Moan): Correct typo in message.

Thu Nov  4 14:43:38 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (enable_intr) [SA_RESTART]: Rewrite to use sigemptyset
	etc. a la web2c, so sigaction is called with proper args.

Wed Nov  3 14:43:05 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 1.4.

Sun Oct 31 11:25:22 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (main): Set foreGC if !set_bits, etc. From Paul.

	* xdvi.c (main): remove_suffix from the icon name. Idea from
	rbhumbla@UCSD.EDU.

Sat Oct 30 11:57:21 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (enable_intr): Comment out #endif tokens.

Fri Oct 29 19:43:51 1993  Karl Berry  (karl@cs.umb.edu)

	* dvi_init.c (load_font): Use KPSE_BITMAP_TOLERANCE to figure out
	when we should give a dpi complaint.

Thu Oct 28 14:26:42 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (enable_intr) [SA_RESTART]: Call sigaction.  From
	Martyn.Johnson@cl.cam.ac.uk.

	* configure.in: Call AC_FIND_XTRA.

Fri Oct 22 13:22:51 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (makeargs): Don't pass srcdir.
	($(kpathsea)): Depend on files in srcdir.
	(xdvi.1): xdvi.man is in srcdir.
        From simon@lia.di.epfl.ch.

Tue Oct 19 12:07:58 1993  Karl Berry  (karl@cs.umb.edu)

	* MACHINES: New entries from simon.

Thu Oct  7 13:11:16 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (gamma): Replace with `xd_gamma', to avoid clash with
	the math fn.  (From michal@gortel.phys.ualberta.ca.)

Wed Oct  6 08:50:21 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 1.3.

Sun Oct  3 14:11:43 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h (_GCC_WCHAR_T): Move definition to Kpathsea.

Sat Oct  2 19:32:30 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): Don't reassign PATH, just invoke
	mkdirchain explicitly.

Thu Sep 30 06:14:00 1993  Karl Berry  (karl@cs.umb.edu)

	* MACHINES: Add info for gcc -static.

	* xdvi.c (application_resources) [MAKETEXPK]: Terminate struct
	element properly.

Wed Sep 29 15:21:49 1993    (karl@terminus.cs.umb.edu)

	* Version 1.2.

	* config.h (_GCC_WCHAR_T): Define.

Tue Sep 28 13:11:41 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (put_grey_rectangle): Don't take the address of an array.

Sat Sep 25 11:00:40 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (main): Set use_maketexpk from the resource structure.

Fri Sep 24 14:56:12 1993  Karl Berry  (karl@red.cs.umb.edu)

	* epsf.c (L_tmpnam) [!L_tmpnam]: Define.

Thu Sep 23 14:10:02 1993  Karl Berry  (karl@cs.umb.edu)

	* font-open.c (init_font_open): don't getenv XDVIMAKEPK twice.

	* configure.in: Use the Autoconf macro AC_FIND_X.

Wed Sep 15 19:58:55 1993  Karl Berry  (karl@cs.umb.edu)

	* epsf.c (get_bitmap): cat the EPS filename as found by the path
	searching, not the original psfname.

	* pxl.c: Remove from the distribution.

	* tpic.c (applicationDoSpecial): Check for PSfile and psfile, in
	lieu of using strncasecmp.

Sun Sep 12 16:28:57 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.h (use_maketexpk): New (sort of) global.
	* xdvi.c (-maketexpk, +maketexpk): New option.  What a mess to add
	a new option.
	* font-open.c (init_font_open): Enable from the variable; remove
	#ifdef around support code.
	* INSTALL: -DMAKETEXPK just changes the default now.

	* xdvi.h (GREY) [!NOGREY]: Define.
	(TEXXSET) [!NOTEXXET]: Define.
	* INSTALL: Document.

Fri Sep  3 18:58:55 1993  Karl Berry  (karl@cs.umb.edu)

	* epsf.c: Use path searching to find the EPS file.

	* epsf.c (strdup): Remove this, kpathsea already has the equivalent.

	* xdvi.{c,h,man}, tpic.c, Makefile.in: Update for epsf patch from
	deweerd@wisnuf.physics.wisc.edu.
	* epsf.[ch]: New files.

Sun Aug 29 11:38:25 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): Use $(PATH) instead of $$PATH.

Sat Aug 28 13:27:11 1993  Karl Berry  (karl@cs.umb.edu)

	* configure: Regenerate, to get aclocal fix.  Sigh.

Wed Aug 25 17:25:04 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 1.1.

Sun Aug 22 13:06:31 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (redraw): Change call to setjmp a la below.

Thu Aug  5 09:03:16 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 1.0.

Wed Aug  4 13:50:54 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (post-dist-$(distname)): New empty target, other
	minor changes so dvips will fit.

Tue Aug  3 17:51:07 1993  Karl Berry  (karl@fishbowl.hq.ileaf.com)

	* xdvi.c [!TOOLKIT]: Set kpse_fallback_font from the resources,
	not the nonexistent alt_font, and assign it from ALTFONT, not
	trying to use the RESOURCE macro.

Tue Aug  3 11:51:00 1993  Karl Berry  (karl@sorrel.hq.ileaf.com)

	* xdvi.h: Do not include <X11/Xfuncs.h>; it causes trouble on the
	Alpha and Aviion vis-a-vis bcopy.

Tue Aug  3 10:31:39 1993  Karl Berry  (karl@starlight.hq.ileaf.com)

	* config.h (SYSV) [STDC_HEADERS]: Define.  I hate X.

Tue Aug  3 10:15:18 1993  Karl Berry  (karl@blood.hq.ileaf.com)

	* dvi_init.c (dvi_oops_str): New global.
	(dvi_oops): Set it, instead of assuming int<->ptr correspondence
	for longjmp.
	(open_dvi_file): Use it, and go back to proper int return from setjmp.

Sat Jul 31 11:35:30 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Do AC_VPRINTF.
	* config.h (vprintf): Define to _doprnt if we have it.

	* configure.in: Remove AC_PREFIX.

Fri Jul 30 12:39:15 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in [hayley]: Define `autoconf', so will remake
	automatically.

Tue Jul 27 11:50:50 1993  Karl Berry  (karl@cs.umb.edu)

	* font-open.c (init_font_open): No need for tex-paths.h, and no
	arg to KPSE_VF_PATH.

	* dvi_init.c (open_dvi_file): Rewrite to look for foo.dvi first.

Sun Jul 25 10:44:13 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install*): Add $(srcdir) to PATH for mkdirchain, not .
	* xdvi.1: New target to make from xdvi.man.
	* mksedscript: New file.

Sat Jul 24 10:45:01 1993  Karl Berry  (karl@cs.umb.edu)

	* All files: Update for xdvi patchlevel 17.

Wed Jul 21 19:45:25 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (configclean): New target.

Tue Jul  6 08:09:49 1993  Karl Berry  (karl@cs.umb.edu)

	* font-open.c (init_pxl_open): Set fallback font to cmr10.

Mon Jul  5 08:48:57 1993  Karl Berry  (karl@cs.umb.edu)

	* paths.h*: Remove.
	* Makefile.in (paths.h): Remove.
	(xdvi.1): Remove references to DEFAULT_fmt_PATH.

	* dvi-init.c (dvi_oops): Restore the longjmp business, instead of
	making it a fatal error.

	* config.h: Remove kpathsea includes.
	* dvi-init.c (kpathsea/c-fopen.h): Include this.

	* font-open.c: Include <kpathsea/init-path.h>.

Sun Jul  4 11:02:24 1993  Karl Berry  (karl@cs.umb.edu)

	* (all files): Various cleanups for gcc warnings.

	* Makefile.in (xdvi.1): Do the sed script right here.
	(mksedscript): Delete.
	(dist): Don't dist mksedscript.
	* xdvi.man: Simplify conditionals, etc.

Fri Jul  2 12:14:19 1993  Karl Berry  (karl@cs.umb.edu)

	* font-open.c (init_pxl_open): Rewrite size routines to use
	kpathsea facilities.

Thu Jul  1 15:49:13 1993  Karl Berry  (karl@cs.umb.edu)

	* font-open.c: Rewrite for new pathsearch routines.

Tue Jun 29 13:35:27 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (../$(srcdir)): Change to $(srcdir)/.., so absolute
	paths will work.

Sat Jun 26 11:43:34 1993  Karl Berry  (karl@cs.umb.edu)

	* font-open.[ch]: Rename from pxl-open.[ch].

Thu Jun 24 19:05:30 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Include common.ac.
	* Makefile.in: Corresponding changes.

Tue Jun 22 10:01:59 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (default_pk_path): Use $(prefix).

Tue May 25 10:08:30 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (AC_HAVE_HEADERS): Test for `pwd.h'.

Sat May 22 11:22:28 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Run gzip -9.

Tue May 18 13:53:01 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): mkdirchain on install dirs, and put
	mkdirchain in the dist.

Mon May 10 07:13:20 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.30.

Sun May  9 10:35:33 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (extraclean): add *.i and *.s.

Fri May  7 11:44:02 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Depend on TAGS, and rewrite for new setup.

Tue May  4 09:21:12 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (info check dvi): New targets (that do nothing).

	* xdvi.c (main) [TOOLKIT]: Set icon name to DVI file basename
	instead of `dvi'.

	* Many files: Use <kpathsea/...> instead of "...".

Fri Apr 30 16:34:47 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.h: Don't bother to include lib.h and types.h.

Sat Apr 24 16:53:59 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in, config.h, configure.in, etc: Major surgery to use
	the path searching as a separate library, instead of just having
	all the files in the main source directory.

Fri Apr 23 16:46:08 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (AC_CONST): Add this.

Tue Apr 20 06:58:07 1993  Karl Berry  (karl@cs.umb.edu)

	* pathshare from web2c.

Sun Apr 11 18:58:43 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.29.

Sat Apr 10 14:55:57 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h (UNIX_ST_NLINK): Define unless on foreign OS.

	* Makefile.in (uninstall*): New targets.

	* configure.in: Do AC_XENIR_DIR after AC_DIR_HEADER.

	* Makefile.in (ALLOCA): Define as alloca.o.
        (OBJS): Include ALLOCA.

Mon Mar 29 08:28:36 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.28.

	* Makefile.in (default_pk_path): Put . first.

Sun Mar 28 16:58:27 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.icon (xdvi_bits): Change to unsigned char.  (From
	blair@seismo.gps.caltech.edu.)

Thu Mar 25 16:01:09 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (AC_ISC_WLIBS): Remove.
        * aclocal.m4: New version, see web2c ChangeLog.

Mon Mar 22 06:13:57 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.27.

Sat Mar 13 11:02:01 1993  Karl Berry  (karl@cs.umb.edu)

	* pxl-open.c (try_format): Don't free `name' until after we've
	used it.

	* dvi-init.c: Doc fix.

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

Mon Mar  8 06:27:53 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.26 (also fixed bad decl in lib.h).

Tue Mar  2 16:55:14 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Depend on install-data.

Mon Mar  1 06:27:22 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.25.  (aclocal got changed.)

Mon Feb 22 06:21:47 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.24.

Sun Feb 14 17:50:43 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Split into install-exec and install-data.

Tue Feb  9 20:37:45 1993  Karl Berry  (karl@cs.umb.edu)

	* gf.c (too_many_bits): Don't take an arg, as the info isn't
	convenient to pass and it's not too important.

	* xdvi.h (make_suffix): No need to declare here anymore, as it's
	in lib.h.

Sun Feb  7 20:00:21 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.23.

Mon Feb  1 06:20:56 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 0.22.

Fri Jan 29 17:26:09 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Don't bother with `-I.'.

	* fontmap.[ch] et al.: Incorporated stuff from web2c.
        * pxl-open.c (pxl_open): Do the font mapping if the first try fails.

Sun Jan 24 10:35:58 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c [!TOOLKIT]: Use None instead of NULL for x_bar and y_bar
	(which are Windows) assignments; ditto for call to
	XSetStandardProperties.

	* xdvi.c [!TOOLKIT && !X10]: Use XLookupString, not XLookupStr.
	That's definitely the name in R5.  Not sure about R4.

	* mksedscript: Remove spurious backslash.  (from
	interran@uluru.Stanford.EDU).

Wed Jan 20 07:55:23 1993  Karl Berry  (karl@cs.umb.edu)

	* xdvi.h (FATAL*): Now in lib.h.

	* Version 0.21.

Sun Jan 17 17:47:15 1993  Karl Berry  (karl@cs.umb.edu)

	* dvi-init.c: Doc fix.

Thu Jan 14 08:13:26 1993  Karl Berry  (karl@cs.umb.edu)

	* README: Add note about HP-VUE, which seems totally broken.

Sat Jan  9 15:22:17 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (configure, config.status): cd $(srcdir) first.

Sun Jan  3 19:42:38 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h: Move some includes to c-std.h.

Fri Jan  1 12:12:31 1993  Karl Berry  (karl@cs.umb.edu)

	* dirio.h, c-memstr.h, configure.in, c-auto.h.in: Changes for new
	Autoconf.

Wed Dec 23 06:59:26 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 0.20.

Sat Dec 19 10:39:08 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (sedscript): Use $(SHELL) explicitly.

	* Makefile.in (paths.h): Don't depend on Makefile{,.in}.

	* dvi-init.c (define_font): Print the font's filename, not just
	the fontname

Mon Dec 14 07:28:09 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 0.18 (whoops, should have been 0.19).

Fri Dec 11 15:20:51 1992  Karl Berry  (karl@cs.umb.edu)

	* mksedscript: Replace with version from meyering.

	* {dvi-draw,tpic,xdvi}.c: Change ctype references to use uppercase
	macros.

Thu Dec 10 10:35:42 1992  Karl Berry  (karl@cs.umb.edu)

	* GNUmakefile.in (GNUmakefile): Add $(srcdir) to dependency, and
	use $(SHELL) instead of sh.
        (config.status): Use $(SHELL).

Wed Dec  2 07:14:26 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 0.18.

Sun Nov 29 17:23:20 1992  Karl Berry  (karl@cs.umb.edu)

	* xdvi.c (atof) [!STDC_HEADERS]: Make declaration conditional.
        (sprintf): Don't declare.

Wed Oct 21 06:56:55 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 0.17.

Tue Oct 20 12:00:32 1992  Karl Berry  (karl@cs.umb.edu)

	* pxl-open.c (try_format): Just concatenate the extension to the
	main font name, don't replace an existing suffix.

Thu Oct 15 08:35:06 1992  Karl Berry  (karl@cs.umb.edu)

	* configure: Ran Autoconf 1.2.

Wed Sep 23 07:51:54 1992  Karl Berry  (karl@cs.umb.edu)

        * Version 0.16.

Sun Sep 20 12:52:53 1992  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (config.status): use sh to run configure --no-create.

        * Makefile.in (realclean): OK, don't remove configure.

Thu Sep 17 07:41:04 1992  Karl Berry  (karl@hayley)

        * Version 0.15.

Mon Sep 14 18:00:37 1992  Karl Berry  (karl@hayley)

        * Makefile.in (config.status): new target.
        (Makefile): depend on config.status.

Sun Sep 13 07:22:09 1992  Karl Berry  (karl@hayley)

        * Makefile.in (realclean): depend on distclean.

Thu Sep 10 08:59:03 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): include COPYING*.

        * Makefile.in (realclean): remove configure.

Wed Sep  9 06:27:23 1992  Karl Berry  (karl@hayley)

        * Version 0.14.

Tue Sep  8 16:51:00 1992  Karl Berry  (karl@hayley)

        * c-auto.h.in (_MINIX, _{ALL,POSIX,POSIX_1}_SOURCE): add #undef's
          for configure to define.

        * configure.in: test for more Unix variants.

Mon Sep  7 22:55:12 1992  Karl Berry  (karl@hayley)

        * Makefile.in (XCFLAGS): remove traces.

Fri Sep  4 08:47:23 1992  Karl Berry  (karl@hayley)

        * Makefile.in (extraclean): new target.

Thu Aug 27 08:57:10 1992  Karl Berry  (karl@hayley)

        * configure: regenerated from Autoconf 1.1.

Tue Aug 11 07:01:47 1992  Karl Berry  (karl@hayley)

        * Version 0.13.

Fri Jul 31 17:01:53 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): include our aclocal.m4.

        * Makefile (LIBS): include $(extralibs), for the user.

Wed Jul 29 08:53:09 1992  Karl Berry  (karl@hayley)

        * Version 0.12 (ran pathshare).

Fri Jul 24 06:50:34 1992  Karl Berry  (karl@hayley)

        * Version 0.11.

Wed Jul 22 09:11:16 1992  Karl Berry  (karl@hayley)

        * configure.in: update for Autoconf 1.0.

Fri Jul 10 06:53:57 1992  Karl Berry  (karl@hayley)

        * Version 0.10.

Thu Jul  2 15:24:53 1992  Karl Berry  (karl@hayley)

        * Makefile.in (CPPFLAGS): new variable.
        (.c.o): use it.
        (CFLAGS): define as -g.
        (cdebug): remove.
        (LDFLAGS): use CFLAGS instead of cdebug.

        * Run Autoconf 0.119.

Wed Jul  1 07:49:26 1992  Karl Berry  (karl@hayley)

        * Version 0.9.

Sat Jun 27 11:03:44 1992  Karl Berry  (karl@hayley)

        * Makefile.in (paths.h): depend on Makefile.in and Makefile.

Thu Jun 25 10:03:21 1992  Karl Berry  (karl@hayley)

        * Makefile.in: changes for $(srcdir) from zoo@cygnus.com.

Tue Jun 23 09:04:51 1992  Karl Berry  (karl@hayley)

        * Version 0.8k.

        * configure.in: check for FASYNC and F_SETOWN at the same time as
          SIGIO (from bodo@ee.Princeton.EDU).

Tue Jun 16 06:14:23 1992  Karl Berry  (karl@hayley)

        * Version 0.7k.

Mon Jun 15 19:15:27 1992  Karl Berry  (karl@hayley)

        * xdvi.c (command_args): cast NULL as an XtArgVal to avoid a
          warning from gcc.

        * gf.c (gf_glyphs_fn): check the result from fseek while looking
          for the trailer, in case the GF file is bad.

Thu Jun 11 08:42:41 1992  Karl Berry  (karl@hayley)

        * Makefile.in (.NOEXPORT): new target, since Autoconf doesn't add
          it automatically any more.

        * configure.in (AC_TEST_PROG): rename to AC_TEST_PROGRAM, for new
          Autoconf.

Wed Jun 10 06:33:54 1992  Karl Berry  (karl@hayley)

        * Version 0.6k.

Fri Jun  5 11:50:50 1992  Karl Berry  (karl@hayley)

        * dvi-init.c (dvi_oops): call FATAL instead of longjmp-ing, since
          setjmp hasn't been called if xdvi is called on a non-DVI file.

Thu Jun  4 08:25:38 1992  Karl Berry  (karl@hayley)

        * configure.in: `return 0' instead of `exit (0)'.  (From Paul Eggert)

        * configure.in (AC_HEADER_FILE): rename to AC_CONFIG_HEADER, for
          Autoconf 0.115.

Wed Jun  3 08:19:32 1992  Karl Berry  (karl@hayley)

        * Version 0.5k.

Fri May 29 11:18:29 1992  Karl Berry  (karl@hayley)

        * xdvi.c (main): declare as an int.

        * Below changes from Paul Eggert.

        * xdvi.h (FATAL): don't assume an ANSI cpp.

        * {xdvi,dvi-draw}.c (exit): do not declare.

Thu May 28 07:05:33 1992  Karl Berry  (karl@hayley)

        * Version 0.4k.

Wed May 27 08:00:34 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): new target.

        * pxl-open.c (try_resolution): try the upper bound dpi.

Sat May 16 10:11:01 1992  Karl Berry  (karl@hayley)

        * configure.in: add AC_PROG_CPP and AC_GCC_TRADITIONAL.

Wed May 13 08:56:12 1992  Karl Berry  (karl@hayley)

        * Makefile.in (VPATH): change for new Autoconf.

Sat May  9 08:54:13 1992  Karl Berry  (karl@hayley)

        * pxl-open.c (try_resolution): don't return `lower_bound' if we
          found the actual size requested.
